package com.example.oneseekbar_kotlin

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.TextView
import android.widget.SeekBar



class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        // connecting code and interface
        val my_sb1 = findViewById(R.id.sbEq1) as SeekBar
        val tvShow1 = findViewById(R.id.tvShow1) as TextView

        // add seek bar event listener and handler -- requires three methods
        my_sb1.setOnSeekBarChangeListener(object : SeekBar.OnSeekBarChangeListener {
            //during the user's "sliding"
            override fun onProgressChanged(seekBar: SeekBar, i: Int, b: Boolean) {
                tvShow1.text = "" + i
            }

            // in case you need to remember where you started
            override fun onStartTrackingTouch(seekBar: SeekBar) {}

            // in case you only want to act when the user is done "sliding"
            override fun onStopTrackingTouch(seekBar: SeekBar) {}
        }) //end setOnSeekBarChangeListener

    } //end onCreate
} //end MainActivity class
